# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name readline

%global common_summary An interface to the GNU readline library

%global common_description The GNU Readline library provides a set of \
functions for use by applications that allow users to edit command lines \
as they are typed in. The Readline library includes additional functions \
to maintain a list of previously-entered command lines, to recall and \
perhaps reedit those lines, and perform csh-like history expansion on \
previous commands. 

Name:           ghc-%{pkg_name}
Version:        1.0.1.0
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        GPLv2
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

BuildRequires:  ghc-process-devel
BuildRequires:  readline readline-devel

%description
%{common_description}

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

# devel subpackage
%ghc_devel_package

%ghc_devel_description

%ghc_devel_post_postun

%ghc_files LICENSE

%changelog
* Tue Jun 12 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 1.0.1.0-1
- Added BuildRequires.
- Spec file template generated by cabal2spec-0.25.5
